package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel(description = "条件分页查询参数类")
public class PageParam implements Serializable {

	private static final long serialVersionUID = 6594357847950086252L;

	@ApiModelProperty(value = "当前页/页码 默认1", required = true)
	private Integer pageNum;

	@ApiModelProperty(value = "分页条数/页数 默认15", required = true)
	private Integer pageSize;

	@ApiModelProperty(value = "排序参数形如:age#desc,name#asc")
	private String sorts;

	public final static Integer DEFAULT_PAGE_NUM = 1;

	public final static Integer DEFAULT_PAGE_SIZE = 15;

	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public String getSorts() {
		return sorts;
	}

	public void setSorts(String sorts) {
		this.sorts = sorts;
	}
}
